> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Assets

> Returns all tokens available across supported protocols.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/earning/assets
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/earning/assets:
    get:
      tags:
        - Earning
      summary: Get Available Assets
      description: Returns all tokens available across supported protocols.
      operationId: get_assets
      parameters:
        - name: asset
          in: query
          schema:
            type: string
        - name: protocol
          in: query
          schema:
            type: string
        - name: chain
          in: query
          schema:
            type: string
        - name: isAsync
          in: query
          schema:
            type: boolean
        - name: sortingField
          in: query
          schema:
            type: string
            default: symbol
        - name: sortingDirection
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            default: asc
      responses:
        '200':
          description: List of assets.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      list:
                        type: array
                        items:
                          $ref: '#/components/schemas/Asset'
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetAssetListFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Asset:
      type: object
      properties:
        name:
          type: string
        ecosystem:
          type: string
        chain:
          type: string
        symbol:
          type: string
        decimals:
          type: integer
        contractAddress:
          type: string
        logoURI:
          type: string
          nullable: true
        priceUsd:
          type: number
          nullable: true
        totalSupply:
          type: number
          nullable: true
        isStakeable:
          type: boolean
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Getting Started](/docs/pooled-staking-getting-started.md)
- [Get Yield Strategies](/reference/get-strategies.md)
- [Morpho](/docs/morpho.md)
- [Get Supported Protocols](/reference/get-protocols.md)
- [Get User Rewards](/reference/get-rewards.md)
